# PulpMavenClient::RepositoriesMavenApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](RepositoriesMavenApi.md#create) | **POST** /pulp/api/v3/repositories/maven/maven/ | Create a maven repository
[**delete**](RepositoriesMavenApi.md#delete) | **DELETE** {maven_maven_repository_href} | Delete a maven repository
[**list**](RepositoriesMavenApi.md#list) | **GET** /pulp/api/v3/repositories/maven/maven/ | List maven repositorys
[**partial_update**](RepositoriesMavenApi.md#partial_update) | **PATCH** {maven_maven_repository_href} | Update a maven repository
[**read**](RepositoriesMavenApi.md#read) | **GET** {maven_maven_repository_href} | Inspect a maven repository
[**update**](RepositoriesMavenApi.md#update) | **PUT** {maven_maven_repository_href} | Update a maven repository



## create

> MavenMavenRepositoryResponse create(maven_maven_repository)

Create a maven repository

A ViewSet for MavenRemote.

### Example

```ruby
# load the gem
require 'pulp_maven_client'
# setup authorization
PulpMavenClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpMavenClient::RepositoriesMavenApi.new
maven_maven_repository = PulpMavenClient::MavenMavenRepository.new # MavenMavenRepository | 

begin
  #Create a maven repository
  result = api_instance.create(maven_maven_repository)
  p result
rescue PulpMavenClient::ApiError => e
  puts "Exception when calling RepositoriesMavenApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **maven_maven_repository** | [**MavenMavenRepository**](MavenMavenRepository.md)|  | 

### Return type

[**MavenMavenRepositoryResponse**](MavenMavenRepositoryResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> AsyncOperationResponse delete(maven_maven_repository_href)

Delete a maven repository

Trigger an asynchronous delete task

### Example

```ruby
# load the gem
require 'pulp_maven_client'
# setup authorization
PulpMavenClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpMavenClient::RepositoriesMavenApi.new
maven_maven_repository_href = 'maven_maven_repository_href_example' # String | 

begin
  #Delete a maven repository
  result = api_instance.delete(maven_maven_repository_href)
  p result
rescue PulpMavenClient::ApiError => e
  puts "Exception when calling RepositoriesMavenApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **maven_maven_repository_href** | **String**|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list

> PaginatedmavenMavenRepositoryResponseList list(opts)

List maven repositorys

A ViewSet for MavenRemote.

### Example

```ruby
# load the gem
require 'pulp_maven_client'
# setup authorization
PulpMavenClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpMavenClient::RepositoriesMavenApi.new
opts = {
  limit: 56, # Integer | Number of results to return per page.
  name: 'name_example', # String | 
  name__contains: 'name__contains_example', # String | Filter results where name contains value
  name__icontains: 'name__icontains_example', # String | Filter results where name contains value
  name__in: ['name__in_example'], # Array<String> | Filter results where name is in a comma-separated list of values
  name__startswith: 'name__startswith_example', # String | Filter results where name starts with value
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  pulp_label_select: 'pulp_label_select_example', # String | Filter labels by search string
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List maven repositorys
  result = api_instance.list(opts)
  p result
rescue PulpMavenClient::ApiError => e
  puts "Exception when calling RepositoriesMavenApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **name** | **String**|  | [optional] 
 **name__contains** | **String**| Filter results where name contains value | [optional] 
 **name__icontains** | **String**| Filter results where name contains value | [optional] 
 **name__in** | [**Array&lt;String&gt;**](String.md)| Filter results where name is in a comma-separated list of values | [optional] 
 **name__startswith** | **String**| Filter results where name starts with value | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **pulp_label_select** | **String**| Filter labels by search string | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedmavenMavenRepositoryResponseList**](PaginatedmavenMavenRepositoryResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## partial_update

> AsyncOperationResponse partial_update(maven_maven_repository_href, patchedmaven_maven_repository)

Update a maven repository

Trigger an asynchronous partial update task

### Example

```ruby
# load the gem
require 'pulp_maven_client'
# setup authorization
PulpMavenClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpMavenClient::RepositoriesMavenApi.new
maven_maven_repository_href = 'maven_maven_repository_href_example' # String | 
patchedmaven_maven_repository = PulpMavenClient::PatchedmavenMavenRepository.new # PatchedmavenMavenRepository | 

begin
  #Update a maven repository
  result = api_instance.partial_update(maven_maven_repository_href, patchedmaven_maven_repository)
  p result
rescue PulpMavenClient::ApiError => e
  puts "Exception when calling RepositoriesMavenApi->partial_update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **maven_maven_repository_href** | **String**|  | 
 **patchedmaven_maven_repository** | [**PatchedmavenMavenRepository**](PatchedmavenMavenRepository.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## read

> MavenMavenRepositoryResponse read(maven_maven_repository_href, opts)

Inspect a maven repository

A ViewSet for MavenRemote.

### Example

```ruby
# load the gem
require 'pulp_maven_client'
# setup authorization
PulpMavenClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpMavenClient::RepositoriesMavenApi.new
maven_maven_repository_href = 'maven_maven_repository_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a maven repository
  result = api_instance.read(maven_maven_repository_href, opts)
  p result
rescue PulpMavenClient::ApiError => e
  puts "Exception when calling RepositoriesMavenApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **maven_maven_repository_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**MavenMavenRepositoryResponse**](MavenMavenRepositoryResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## update

> AsyncOperationResponse update(maven_maven_repository_href, maven_maven_repository)

Update a maven repository

Trigger an asynchronous update task

### Example

```ruby
# load the gem
require 'pulp_maven_client'
# setup authorization
PulpMavenClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpMavenClient::RepositoriesMavenApi.new
maven_maven_repository_href = 'maven_maven_repository_href_example' # String | 
maven_maven_repository = PulpMavenClient::MavenMavenRepository.new # MavenMavenRepository | 

begin
  #Update a maven repository
  result = api_instance.update(maven_maven_repository_href, maven_maven_repository)
  p result
rescue PulpMavenClient::ApiError => e
  puts "Exception when calling RepositoriesMavenApi->update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **maven_maven_repository_href** | **String**|  | 
 **maven_maven_repository** | [**MavenMavenRepository**](MavenMavenRepository.md)|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

